#include<conio.h>
#include<stdio.h>
#include<string.h>
#include<stdlib.h>

typedef struct
{char csnev[20], vnev[15], enev[30];
 int ev;}
FOCITIP;

FOCITIP futball;
FILE* f;

char fiznev[80];
int i, db=0;
void main()

{ clrscr(); puts("Focivil gbajnoks gok adatt ra");
  printf("Mi lesz a nyilv ntart˘ file vene?");
  gets(fiznev);
  f=fopen(fiznev,"wb");
  if (f==NULL)
{ printf(" Hib s f ljmegad s");
  getch(); exit(6);
}

printf("\nK‚rem 18 ‚v ”sszes bajnoks g nak adatait!\}");
for (i=0;i<18;i++)

{ printf("%d. ‚v bajnoka: ",i+1);
  gets (futball.csnev);
  printf(" melyik ‚v?");
  scanf("%d",&futball.ev);

  printf(" melyik v ros‚ a csapat?");
  gets(futball.vnev);
  printf(" hogy hˇvj k az edz‹t?");
  gets(futball.enev);

fwrite(&futball,sizeof(futball),1,f);
if (strcmp(futball.csnev,"FC Barcelona")==0) db++;
}
printf("\nAz FC Barcelona %d bajnoks got nyert.",db);

getch ();
}